EDIT - feature request #7019

sort import menu
10/17/2017 01:17 PM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal

Description

ist es moglich, die zur Verfigung stehenden Importe noch ein bisschen zu sortieren?

Eine Sortierung kénnte unterteilen in ,Specimen” (ABCD, Beleg CDM Excel, Specimen Suche), ,Taxa“ (Normal Explicit, TCS),
.Referenzen” (RIS), ,Descriptive Data“ (SDD) und ,Factual Data“ (Verbreitungsdaten)

Die Oberkategorien wéren da Knoten im Baum. Das wirde ein kleines bisschen mehr Semantik in die derzeit noch wenig
selbsterklarenden Importe bringen. Ich habe selber gestern ziemlich gesucht, bis ich verstanden habe, welchen Import ich jetzt
laufen lassen muss.

Associated revisions

Revision 708b6366 - 11/08/2019 12:27 PM - Patrick Plitzner

fix #7019 sort import menu

Revision e4101b39 - 11/08/2019 12:32 PM - Patrick Plitzner
fix #7019 fix menu string

Revision 5f993e31 - 11/12/2019 01:02 PM - Patrick Plitzner

ref #7019 Fix menu sort order of navigation context menu

History

#1 - 11/08/2019 10:44 AM - Andreas Mdiller

Also we should rename "Import Specimen" to "Specimen (webservice)" and ABCD to "ABCD file" to give them a bit more semantics. Especially
"Specimen (webservice)" is currently difficult to find as "Import Specimen" is to unspecific.

#2 - 11/08/2019 10:47 AM - Andreas Miiller

For now we could simply use separators in the menu to separate specimen from taxa and those from references etc. But with more imports coming
we maybe better have subsubmenus for each group, that gives even more semantics to each menu item and allows to further shorten the labels.

#3 - 11/08/2019 10:54 AM - Andreas Kohlbecker

"Specimen (webservice)" still is not a very good label, alternatives are
e "Specimen (BioCase)"
e "Specimen (global providers)"

e "Specimen (provider network)"
o .7

#4 - 11/08/2019 11:07 AM - Andreas Miiller

Andreas Kohlbecker wrote:
"Specimen (webservice)" still is not a very good label, alternatives are
e "Specimen (BioCase)"

e "Specimen (global providers)"

® "Specimen (provider network)"
° ?

"Specimen (BioCase)"is wrong, also GBIF is available.
Global providers or provider network for me sounds less understandable than webservice. Why don't you like "webservice"?

#5 - 11/08/2019 11:42 AM - Andreas Miiller
- Assignee changed from Katja Luther to Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 5.11

We decided to use "Specimen online"

#6 - 11/08/2019 12:27 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|708b6366b5bbalal1669243d3f7145a1967258e04.

#7 - 11/08/2019 12:27 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

#8 - 11/08/2019 02:44 PM - Andreas Miuiller
- File picture714-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

| can't see any difference tried with update and install new version of current nightly.
#9 - 11/11/2019 11:14 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

Tried this morning. Seems to work. Please download and try again.

#10 - 11/12/2019 10:02 AM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther
| still get the old menu no matter what | do. | deleted the .metadata folder, | downloaded a completely new TaxEditor nightly, connecting to 2 different

DBs (rem_conf_am, test.caryo_spp). Always the same result.

Katja, Andreas K., Patrick, can you please try again with the latest nightly if you really get the new menu? If yes, how does it look like?

#11 - 11/12/2019 10:24 AM - Andreas Miiller

- Assignee changed from Katja Luther to Patrick Plitzner

It seems to depend on experimental being switcht on or not. In later case the old menu appears.

#12 - 11/12/2019 10:37 AM - Andreas Miiller

Andreas Muller wrote:

It seems to depend on experimental being switcht on or not. In later case the old menu appears.

Not true. But the real reason is that there are 2 menus: in main menu and in navigator context menu. The later was still the old one.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/708b6366b5bba1a1669243d3f7145a1967258e04

#13 - 11/12/2019 10:38 AM - Andreas Miiller

Kannst du dann noch umbenennen: ABCD => ABCD file; Excel Normal Explicit Taxa => Exel Normal Explicit; RIS Referenzen => RIS ?

#14 - 11/13/2019 09:14 AM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

#15 - 11/13/2019 12:53 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 50 to 100

Works as expected.
